<div>
  <div class="vispa-view-nav">
    <nav-root>
      <nav-item
        v-for="sec in sections"
        v-if="isAdmin || !adminOnly[sec]"
        :active="section == sec"
        @clicked="$dispatch('go', sec, '')"
        >
        <span slot="title">
          {{(sec + "s") | capitalize}}
          <i
            v-show="refreshing && section == sec"
            class="fa fa-refresh fa-spin"
            ></i>
        </span>
        <nav-list v-if="!noNav[sec]" :target="target" :list="list[sec]" :sec="sec"></nav-list>
      </nav-item>
    </nav-root>
  </div>
  <div class="vispa-view-content">
    <component
      class="item-display"
      v-ref:current
      v-if="target"
      :is="section"
      :name="target"
      :kind="section"
      :is-admin="isAdmin"
      ></component>
    <item-list
      v-if="section && !target"
      :title="(section + 's') | capitalize"
      :name="section"
      :url="section"
      :can-add="isAdmin || anyAdd[section]"
      :can-mod-item="isAdmin"
      :can-browse="!noNav[section]"
      :list.sync="list[section]"
      ></item-list>
    <group-join
      v-if="section == 'group' && !target"
      subject=""
      subject-kind="user"
      ></group-join>
  </div>
  <datalist id="um-suggestion-permission" v-if="list.permission">
    <option v-for="info in list.permission" :value="info.name"></option>
  </datalist>
  <datalist id="um-suggestion-group" v-if="list.group">
    <option v-for="info in list.group" v-if="info.status == 1" :value="info.name"></option>
  </datalist>
</div>
